Subject: [spfbis] Terminology (new issue?) was [Editorial Errata Reported] RFC5598 (3282)

From: Alessandro Vesely <[email-masked]>
Date: Wed, 11 Jul 2012 18:59:29 +0200

Thank you for your open-mindedness, Dave.

The issue originated from the decision to use RFC 5598 terms in
http://tools.ietf.org/html/draft-ietf-spfbis-4408bis-03#section-9.3
See http://www.ietf.org/mail-archive/web/spfbis/current/msg01630.html
(last paragraphs)

I propose to gently introduce non-common RFC 5598 terms in order to
increase comprehensibility, e.g. like so:

OLD
 MSPs (Mail Service Providers - [RFC5598] Section 2.3) that offer mail
 services to third-party domains, such as sending of bulk mail, might
 want to adjust their setup in light of the authorization check
 described in this document.

NEW
 Email Service Providers (ESPs), Mailing List Managers (MLMs), and
 other operators that send mail on behalf of third parties --they are
 named Mail Service Providers (MSPs) by [RFC5598] Section 2.3-- might
 want to adjust their setup in light of the authorization check
 described in this document.

I don't think the above is correct, but illustrates my proposals and
can hopefully serve as a starting point for a WG-driven refinement of
that text.

On Wed 11/Jul/2012 16:46:30 +0200 Dave Crocker wrote:
> Alessandro is raising an interesting, but I think complicated, issue.
> 
> The terms he introduces are indeed in popular use, but I believe they
> do not quite align with the role described in the document as an MSP.
> 
> Merely to record my own view on the terms, but not to suggest a
> resolution to the errata:  Mailbox Providers are a form of 'edge'
> service cited in the document.  Email Service Providers is a term
> typically used to refer to bulk-sending services, such as for
> marketing and newsletters.  The document's term, MSP, cites 'transit',
> value-added services.  It might be that this includes MSPs.  It was
> also meant to include mailing list operators, and possibly others.
> 
> That is, I think this issue needs some community discussion and
> consensus.  I expect it will produce some changes to the text whenever
> the document is revised.
> 
> As I recall, there's an errata label to fit that status?
> 
> d/
> 
> 
> On 7/11/2012 12:33 AM, RFC Errata System wrote:
>> The following errata report has been submitted for RFC5598,
>> "Internet Mail Architecture".
>>
>> --------------------------------------
>> You may review the report below and at:
>> http://www.rfc-editor.org/errata_search.php?rfc=5598&eid=3282
>>
>> --------------------------------------
>> Type: Editorial
>> Reported by: Alessandro Vesely <[email-masked]>
>>
>> Section: 2.3
>>
>> Original Text
>> -------------
>> Mail Service Providers (MSPs)
>>
>> Corrected Text
>> --------------
>> either:
>>     Mailbox Providers (MPs)
>> or:
>>     Email Service Providers (ESPs)
>>
>>
>> Notes
>> -----
>> The ambiguity between the two concepts possibly indicated with
>> similar terms is frequent.  The distinction reported here is due to
>> JD Falk, and it seems to be taking roots.
>>
>> Instructions:
>> -------------
>> This errata is currently posted as "Reported". If necessary, please
>> use "Reply All" to discuss whether it should be verified or
>> rejected. When a decision is reached, the verifying party (IESG)
>> can log in to change the status and edit the report, if necessary.
>>
>> --------------------------------------
>> RFC5598 (draft-crocker-email-arch-14)
>> --------------------------------------
>> Title               : Internet Mail Architecture
>> Publication Date    : July 2009
>> Author(s)           : D. Crocker
>> Category            : INFORMATIONAL
>> Source              : IETF - NON WORKING GROUP
>> Area                : N/A
>> Stream              : IETF
>> Verifying Party     : IESG
>>
>>
>